IMG_LoadLBM_IO(3)

NAME
IMG_LoadLBM_IO - Load a LBM image directly.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

SDL_Surface * IMG_LoadLBM_IO(SDL_IOStream *src);

DESCRIPTION
If you know you definitely have a LBM image, you can call this function, which will skip SDL_image's file format detection routines. Generally it's better to use the abstract interfaces; also, there is only an SDL_IOStream interface available here.

FUNCTION PARAMETERS

src an SDL_IOStream to load image data from.

RETURN VALUE
Returns SDL surface, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_LoadAVIF_IO(3), IMG_LoadBMP_IO(3), IMG_LoadCUR_IO(3), IMG_LoadGIF_IO(3), IMG_LoadICO_IO(3), IMG_LoadJPG_IO(3), IMG_LoadJXL_IO(3), IMG_LoadPCX_IO(3), IMG_LoadPNG_IO(3), IMG_LoadPNM_IO(3), IMG_LoadQOI_IO(3), IMG_LoadSVG_IO(3), IMG_LoadTGA_IO(3), IMG_LoadTIF_IO(3), IMG_LoadWEBP_IO(3), IMG_LoadXCF_IO(3), IMG_LoadXPM_IO(3), IMG_LoadXV_IO(3)